kind: pipeline
type: docker
name: default

volumes:
  - name: live-output
    temp: {}

steps:
  - name: test-compiler
    image: archlinux
    commands:
    - pacman -Sy cmake gcc make llvm bison flex gettext libffi --noconfirm
    - cd code/compiler
    - ./test.sh
  - name: build-live
    image: klakegg/hugo:ext-alpine
    commands:
    - hugo -D --baseUrl "http://danilafe.com:8080"
    volumes:
    - name: live-output
      path: /live-output
    environment:
      HUGO_DESTINATION: /live-output
# - name: upload-live
#   image: eeacms/rsync
#   commands:
#   - eval `ssh-agent -s`
#   - echo "$CUSTOM_KEY" | ssh-add -
#   - mkdir -p ~/.ssh
#   - echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config
#   - rsync -rv -e "ssh -p 22" /live-output/ blog-live@danilafe.com:/var/www/blog-live/ --checksum
#   environment:
#     CUSTOM_KEY:
#       from_secret: live_ssh_key
#   volumes:
#   - name: live-output
#     path: /live-output
